%global momorel 11

Summary: zphoto - a zooming photo album generator
Name: zphoto
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://namazu.org/~satoru/zphoto/
Source0: http://namazu.org/~satoru/zphoto/zphoto-%{version}.tar.gz 
NoSource: 0
Source1: wxzphoto.desktop
Patch1: zphoto-1.2-wxGTK26.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: imlib2 >= 1.1.0-1m
Requires: ming
Requires: popt
Requires: wxGTK >= 2.8.6
Requires: zip
BuildRequires: avifile >= 0.7.41-0.20041001.2m
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: imlib2-devel >= 1.1.0-1m
BuildRequires: ming-devel >= 0.3.0
BuildRequires: popt
BuildRequires: wxGTK-devel >= 2.8.6

%description
zphoto - a zooming photo album generator.

%prep
%setup -q
%patch1 -p1 -b .wx26

%build
%configure
%make
pushd po
make ja.gmo
popd

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

# install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 icon/wxzphoto.xpm %{buildroot}%{_datadir}/pixmaps

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Graphics \
    %{SOURCE1}


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS INSTALL README doc/*.html
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-11m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-10m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2-9m)
- %%NoSource -> NoSource

* Fri Nov 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-8m)
- rebuild against wxGTK-2.8.6

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2-7m)
- remove category Application Multimedia

* Thu Jul 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-6m)
- rebuild against ming instead of jaming

* Sat Mar 25 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2-5m)
- build with wxGTK-2.6
- - add zphoto-1.2-wxGTK26.patch(Patch0): build fix for wxGTK-2.6
- - drop zphoto-1.2-adhoc_messagestrings.patch: solved by wxGTK-2.6
- add desktop file and icon.

* Sat Nov 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-4m)
- rebuild against avifile-0.7.41

* Sat Nov 06 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2-3m)
- add zphoto-1.2-adhoc_messagestrings.patch because some strings of a panel of wxzphoto are not shown in Japanese locale. This may be bug of wxNotebook::AddPage, but I simply remove some translations from ja.po of zphoto.

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildRequires: gcc-c++

* Mon Sep 27 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0-1m)
- version 1.0
- new GUI as wxzphoto

* Wed May  5 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9-1m)
- version up to 0.9
- rebuild against imlib2-1.1.0
- revise specfile

* Thu Feb 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7-1m)
- version up to 0.7

* Sat Feb 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-1m)
- ver up to 0.5

* Thu Jan 28 2003 Junichiro Kita<kita@momonga-linux.org>
- (0.4-1m)
- ver up

* Wed Jan  8 2003 Junichiro Kita<kita@momonga-linux.org>
- (0.3-2m)
- requires zip

* Tue Jan  7 2003 Junichiro Kita<kita@momonga-linux.org>
- (0.3-1m)
- ver up

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.2-1m)
- initial revision
